> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact

> Please find the list of acceptable values for the `country` field  <a href="https://highlevel.stoplight.io/docs/integrations/ZG9jOjI4MzUzNDIy-country-list" target="_blank">here</a>



## OpenAPI

````yaml /api-reference/contacts/openapi.json post /contacts
openapi: 3.0.0
info:
  title: Contacts API
  description: Documentation for Contacts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Contacts
    description: Documentation for Contacts API
  - name: Tasks
    description: Documentation for Contacts API
  - name: Appointments
    description: Documentation for Contacts API
  - name: Tags
    description: Documentation for Contacts API
  - name: Notes
    description: Documentation for Contacts API
  - name: Campaigns
    description: Documentation for Contacts API
  - name: Workflow
    description: Documentation for Contacts API
  - name: Bulk
    description: Documentation for Contacts API
  - name: Search
    description: Documentation for Contacts API
  - name: Followers
    description: Documentation for Contacts API
paths:
  /contacts:
    post:
      tags:
        - Contacts
      summary: Create Contact
      description: >-
        Please find the list of acceptable values for the `country` field  <a
        href="https://highlevel.stoplight.io/docs/integrations/ZG9jOjI4MzUzNDIy-country-list"
        target="_blank">here</a>
      operationId: create-contact
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactDto'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateContactsSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - contacts.write
components:
  schemas:
    CreateContactDto:
      type: object
      properties:
        firstName:
          type: string
          example: Rosan
          nullable: true
        lastName:
          type: string
          example: Deo
          nullable: true
        name:
          type: string
          example: Rosan Deo
          nullable: true
        email:
          type: string
          example: rosan@deos.com
          nullable: true
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
        gender:
          type: string
          example: male
        phone:
          type: string
          example: +1 888-888-8888
          nullable: true
        address1:
          type: string
          example: 3535 1st St N
          nullable: true
        city:
          type: string
          example: Dolomite
          nullable: true
        state:
          type: string
          example: AL
          nullable: true
        postalCode:
          type: string
          example: '35061'
        website:
          type: string
          example: https://www.tesla.com
          nullable: true
        timezone:
          type: string
          example: America/Chihuahua
          nullable: true
        dnd:
          type: boolean
          example: true
        dndSettings:
          $ref: '#/components/schemas/DndSettingsSchema'
        inboundDndSettings:
          $ref: '#/components/schemas/InboundDndSettingsSchema'
        tags:
          example:
            - nisi sint commodo amet
            - consequat
          type: array
          items:
            type: string
        customFields:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/TextField'
              - $ref: '#/components/schemas/LargeTextField'
              - $ref: '#/components/schemas/SingleSelectField'
              - $ref: '#/components/schemas/RadioField'
              - $ref: '#/components/schemas/NumericField'
              - $ref: '#/components/schemas/MonetoryField'
              - $ref: '#/components/schemas/CheckboxField'
              - $ref: '#/components/schemas/MultiSelectField'
              - $ref: '#/components/schemas/FileField'
        source:
          type: string
          example: public api
        dateOfBirth:
          type: object
          description: >-
            The birth date of the contact. Supported formats: YYYY/MM/DD,
            MM/DD/YYYY, YYYY-MM-DD, MM-DD-YYYY, YYYY.MM.DD, MM.DD.YYYY,
            YYYY_MM_DD, MM_DD_YYYY
          example: '1990-09-25'
          nullable: true
        country:
          type: string
          example: US
        companyName:
          type: string
          example: DGS VolMAX
          nullable: true
        assignedTo:
          type: string
          example: y0BeYjuRIlDwsDcOHOJo
          description: User's Id
      required:
        - locationId
    CreateContactsSuccessfulResponseDto:
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/CreateContactSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    DndSettingsSchema:
      type: object
      properties:
        Call:
          $ref: '#/components/schemas/DndSettingSchema'
        Email:
          $ref: '#/components/schemas/DndSettingSchema'
        SMS:
          $ref: '#/components/schemas/DndSettingSchema'
        WhatsApp:
          $ref: '#/components/schemas/DndSettingSchema'
        GMB:
          $ref: '#/components/schemas/DndSettingSchema'
        FB:
          $ref: '#/components/schemas/DndSettingSchema'
    InboundDndSettingsSchema:
      type: object
      properties:
        all:
          $ref: '#/components/schemas/InboundDndSettingSchema'
    TextField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: string
          example: My Text
      required:
        - id
    LargeTextField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: string
          example: My Text
      required:
        - id
    SingleSelectField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: string
          example: My Selected Option
      required:
        - id
    RadioField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: string
          example: My Selected Option
      required:
        - id
    NumericField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: object
          example: 100
      required:
        - id
    MonetoryField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: object
          example: 100.5
      required:
        - id
    CheckboxField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          example:
            - test
            - test2
          type: array
          items:
            type: string
      required:
        - id
    MultiSelectField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          example:
            - test
            - test2
          type: array
          items:
            type: string
      required:
        - id
    FileField:
      type: object
      properties:
        id:
          type: string
          example: 6dvNaf7VhkQ9snc5vnjJ
        key:
          type: string
          example: my_custom_field
        field_value:
          type: object
          example:
            f31175d4-2b06-4fc6-b7bc-74cd814c68cb:
              meta:
                fieldname: 1HeGizb13P0odwgOgKSs
                originalname: IMG_20231215_164412935.jpg
                encoding: 7bit
                mimetype: image/jpeg
                size: 1786611
                uuid: f31175d4-2b06-4fc6-b7bc-74cd814c68cb
              url: >-
                https://services.leadconnectorhq.com/documents/download/w2M9qTZ0ZJz8rGt02jdJ
              documentId: w2M9qTZ0ZJz8rGt02jdJ
      required:
        - id
    CreateContactSchema:
      type: object
      properties:
        id:
          type: string
          example: seD4PfOuKoVMLkEZqohJ
        dateAdded:
          type: string
          example: '2021-08-31T09:59:41.937Z'
        dateUpdated:
          type: string
          example: '2021-08-31T09:59:41.937Z'
        deleted:
          type: boolean
          example: false
        tags:
          example:
            - nisi sint commodo amet
            - consequat
          type: array
          items:
            type: string
        type:
          type: string
          example: read
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldSchema'
        locationId:
          type: string
          example: ve9EPM428h8vShlRW1KT
        firstName:
          type: string
          example: rubika
        firstNameLowerCase:
          type: string
          example: rubika
        fullNameLowerCase:
          type: string
          example: rubika deo
        lastName:
          type: string
          example: Deo
        lastNameLowerCase:
          type: string
          example: deo
        email:
          type: string
          example: rubika@deos.com
        emailLowerCase:
          type: string
          example: rubika@deos.com
        bounceEmail:
          type: boolean
          example: false
        unsubscribeEmail:
          type: boolean
          example: false
        dnd:
          type: boolean
          example: true
        dndSettings:
          $ref: '#/components/schemas/DndSettingsSchema'
        phone:
          type: string
          example: '+18832327657'
        address1:
          type: string
          example: 3535 1st St N
        city:
          type: string
          example: ruDolomitebika
        state:
          type: string
          example: AL
        country:
          type: string
          example: US
        postalCode:
          type: string
          example: '35061'
        website:
          type: string
          example: https://www.tesla.com
        source:
          type: string
          example: public api
        companyName:
          type: string
          example: DGS VolMAX
        dateOfBirth:
          type: string
          example: >-
            Date format will be  YYYY-MM-DDTHH:mm:ss.sssZ and  Example
            1990-09-25T00:00:00.000Z
        birthMonth:
          type: number
          example: 8
        birthDay:
          type: number
          example: 25
        lastSessionActivityAt:
          type: string
          example: '2021-07-16T11:39:30.564Z'
        offers:
          example: []
          type: array
          items:
            type: string
        products:
          example: []
          type: array
          items:
            type: string
        businessId:
          type: string
          example: 641c094001436dbc2081e642
        assignedTo:
          type: string
          example: y0BeYjuRIlDwsDcOHOJo
          description: User's Id
    DndSettingSchema:
      type: object
      properties:
        status:
          type: string
          enum:
            - active
            - inactive
            - permanent
        message:
          type: string
        code:
          type: string
      required:
        - status
    InboundDndSettingSchema:
      type: object
      properties:
        status:
          type: string
          enum:
            - active
            - inactive
        message:
          type: string
      required:
        - status
    CustomFieldSchema:
      type: object
      properties:
        id:
          type: string
          example: MgobCB14YMVKuE4Ka8p1
        value:
          type: string
          example: name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````